For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Tasks
      • GETRetrieve Task
      • PUTUpdate Task
      • DELDelete Task
      • GETFetch the first level child tasks from the task
      • POSTCreate Task
      • GETRetrieve Task Priorities
      • POSTCreate Many Tasks
      • POSTAdd Parent Task
      • PUTUpdate Parent Task
      • DELRemove Parent Task
      • PUTUpdate the approval status of a Task.
      • POSTMark task as read for the current user
      • GETPlanned allocations and actual timesheet minutes for a task, grouped by resource.
LogoLogo
SupportContact salesStart free trial
API ReferenceTask

Mark task as read for the current user

POST
https://api.projectmanager.com/api/data/tasks/:taskId/mark-read
POST
/api/data/tasks/:taskId/mark-read
$curl -X POST https://api.projectmanager.com/api/data/tasks/taskId/mark-read \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}

Updates the task user read record (last viewed) for the authenticated user. Use this when the UI only needs to mark file/discussion read state without loading full task details.

Was this page helpful?
Previous

Planned allocations and actual timesheet minutes for a task, grouped by resource.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
Task unique identifier

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.